org.apache.ode.jbi

## Class OdeService

- java.lang.Object
- - org.apache.ode.jbi.ServiceBridge
  - - org.apache.ode.jbi.OdeService

- All Implemented Interfaces:
    JbiMessageExchangeProcessor

      public class OdeService
      extends ServiceBridge
      implements JbiMessageExchangeProcessor

  Bridge JBI (consumer) to ODE (provider).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeService(OdeContext odeContext, Endpoint endpoint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activate()` Do the JBI endpoint activation.
    `void` | `deactivate()` Deactivate endpoints in JBI.
    `int` | `getCount()`
    `Endpoint` | `getEndpoint()`
    `javax.jbi.servicedesc.ServiceEndpoint` | `getExternalServiceEndpoint()`
    `javax.jbi.servicedesc.ServiceEndpoint` | `getInternalServiceEndpoint()`
    `void` | `onJbiMessageExchange(javax.jbi.messaging.MessageExchange jbiMex)`
    `void` | `onResponse(MyRoleMessageExchange mex)` Called from `MessageExchangeContextImpl.onAsyncReply(MyRoleMessageExchange)`

    - ### Methods inherited from class org.apache.ode.jbi.ServiceBridge

      `copyMexProperties, copyMexProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OdeService

          public OdeService(OdeContext odeContext,
                    Endpoint endpoint)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getCount

          public int getCount()

    - #### activate

          public void activate()
                        throws javax.jbi.JBIException

      Do the JBI endpoint activation.
      Throws:
        `javax.jbi.JBIException`

    - #### deactivate

          public void deactivate()
                          throws javax.jbi.JBIException

      Deactivate endpoints in JBI.
      Throws:
        `javax.jbi.JBIException`

    - #### getInternalServiceEndpoint

          public javax.jbi.servicedesc.ServiceEndpoint getInternalServiceEndpoint()

    - #### getExternalServiceEndpoint

          public javax.jbi.servicedesc.ServiceEndpoint getExternalServiceEndpoint()

    - #### onJbiMessageExchange

          public void onJbiMessageExchange(javax.jbi.messaging.MessageExchange jbiMex)
                                    throws javax.jbi.messaging.MessagingException

      Specified by:
        `onJbiMessageExchange` in interface `JbiMessageExchangeProcessor`
      Throws:
        `javax.jbi.messaging.MessagingException`

    - #### onResponse

          public void onResponse(MyRoleMessageExchange mex)

      Called from `MessageExchangeContextImpl.onAsyncReply(MyRoleMessageExchange)`
      Parameters:
        `mex` - message exchange

    - #### getEndpoint

          public Endpoint getEndpoint()